Bug 870670 - SELinux is preventing chrome from 'mmap_zero' accesses on the memprotect .
Summary: SELinux is preventing chrome from 'mmap_zero' accesses on the memprotect .
Keywords:
Status: CLOSED DUPLICATE of bug 859625
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9d11b4feaeeaa097cff6de7de11...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-27 20:15 UTC by Mikhail
Modified: 2013-05-18 10:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-29 18:55:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-27 20:15 UTC, Mikhail
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-27 20:15 UTC, Mikhail
no flags Details

Description Mikhail 2012-10-27 20:15:37 UTC
Additional info:
libreport version: 2.0.17
kernel:         3.6.3-3.fc18.i686.PAE

description:
:SELinux is preventing chrome from 'mmap_zero' accesses on the memprotect .
:
:*****  Plugin mmap_zero (53.1 confidence) suggests  **************************
:
:If you do not think chrome should need to mmap low memory in the kernel.
:Then you may be under attack by a hacker, this is a very dangerous access.
:Do
:contact your security administrator and report this issue.
:
:*****  Plugin catchall_boolean (42.6 confidence) suggests  *******************
:
:If you want to mmap_low_allowed
:Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.You can read 'unconfined_selinux' man page for more details.
:Do
:setsebool -P mmap_low_allowed 1
:
:*****  Plugin catchall (5.76 confidence) suggests  ***************************
:
:If you believe that chrome should be allowed mmap_zero access on the  memprotect by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep chrome /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                 [ memprotect ]
:Source                        chrome
:Source Path                   chrome
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-46.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.3-3.fc18.i686.PAE #1 SMP Tue
:                              Oct 23 15:03:41 UTC 2012 i686 i686
:Alert Count                   67
:First Seen                    2012-10-28 02:15:07 YEKT
:Last Seen                     2012-10-28 02:15:08 YEKT
:Local ID                      4a243964-1d9e-433c-9ad1-d367a5d48d72
:
:Raw Audit Messages
:type=AVC msg=audit(1351368908.830:416): avc:  denied  { mmap_zero } for  pid=2166 comm="chrome" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=memprotect
:
:
:Hash: chrome,unconfined_t,unconfined_t,memprotect,mmap_zero
:
:audit2allow
:
:#============= unconfined_t ==============
:#!!!! This avc can be allowed using the boolean 'mmap_low_allowed'
:
:allow unconfined_t self:memprotect mmap_zero;
:
:audit2allow -R
:
:#============= unconfined_t ==============
:#!!!! This avc can be allowed using the boolean 'mmap_low_allowed'
:
:allow unconfined_t self:memprotect mmap_zero;
:

Comment 1 Mikhail 2012-10-27 20:15:40 UTC
Created attachment 634329 [details]
File: type

Comment 2 Mikhail 2012-10-27 20:15:42 UTC
Created attachment 634330 [details]
File: hashmarkername

Comment 3 Miroslav Grepl 2012-10-29 18:55:02 UTC

*** This bug has been marked as a duplicate of bug 859625 ***

Comment 4 Daniel Walsh 2013-05-18 10:21:35 UTC
*** Bug 964377 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.